Bug 1118105

Summary: Do not automatically generate snapshots as part of scheduled storage cluster maintenance
Product: [JBoss] JBoss Operations Network Reporter: John Sanda <jsanda>
Component: Core Server, Storage NodeAssignee: Libor Zoubek <lzoubek>
Status: CLOSED CURRENTRELEASE QA Contact: Armine Hovsepyan <ahovsepy>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: JON 3.2CC: ahovsepy, hrupp, loleary, mfoley, rhq-maint, snegrea, theute
Target Milestone: ER01   
Target Release: JON 3.3.0   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1118104 Environment:
Last Closed: 2014-12-11 13:59:48 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 1118104, 1074633    
Bug Blocks:    

Description John Sanda 2014-07-10 02:31:12 UTC
+++ This bug was initially created as a clone of Bug #1118104 +++

Description of problem:
The weekly storage cluster maintenance job, StorageClusterReadRepairJob, generates a snapshot for each table. This is done to provide backups of the data files on disk. Over time these snapshot will start to consume a lot of space. This has been an issue for users. When users start asking about disk usage, I tell them to check the snapshots, and invariably users wind up deleting snapshot directories to free up space.

We need to provide the ability to generate snapshots, but I do not think we should be doing automatically, at least not until we have addressed bug 1074632.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Stefan Negrea 2014-09-05 20:51:08 UTC
This has been resolved via bug 1074633 .